//TGfxCrowdState - [2022-03-11 07:52:23]
#ifndef _TGFXCROWDSTATE_H_
#define _TGFXCROWDSTATE_H_
#include "common.h"
#include "CGfxCrowd.h"


class TGfxCrowdState {
public:
//  TGfxCrowdState(){} // 自定义构造函数
  TGfxCrowdState(float, ECrowdMemberType, uchar, bool);      //0019CA8C
  void Process();                                            //001A1144
  void ProcessState();                                       //001A1308
  void ProcessFrame();                                       //001A1494
  void UpdateState();                                        //001A1528
public:
  float  m_fField_0;
  float  m_fField_4;
  int    m_iField_8;
  ECrowdMemberType   m_field_C;
  bool   m_b_10;
  uchar  m_field_11;
  //uint16  m_field_12;
  int16  m_field_12;
  static uchar uSpan[0x140];
};

#endif // _TGFXCROWDSTATE_H_